#if defined(SHLIB_INCL)
#define _errno (*_shl__errno)
#define sys_nerr (*_shl_sys_nerr)
#define sys_errlist (*_shl_sys_errlist)
#define _iob (*_shl_iob)

#define abort (*_shl_abort)
#define atexit (*_shl_atexit)
#define bcopy (*_shl_bcopy)
#define bind (*_shl_bind)
#define bzero (*_shl_bzero)
#define close (*_shl_close)
#define ctime (*_shl_ctime)
#define exit (*_shl_exit)
#define fclose (*_shl_fclose)
#define fopen (*_shl_fopen)
#define fork (*_shl_fork)
#define fprintf (*_shl_fprintf)
#define free (*_shl_free)
#define fscanf (*_shl_fscanf)
#define getpid (*_shl_getpid) 
#define getgid (*_shl_getgid) 
#define getuid (*_shl_getuid) 
#define gethostbyname (*_shl_gethostbyname)
#define gethostname (*_shl_gethostname)
#define getsockname (*_shl_getsockname)
#define gettimeofday (*_shl_gettimeofday)
#define htonl (*_shl_htonl)
#define htons (*_shl_htons)
#define malloc (*_shl_malloc)
#define memset (*_shl_memset)
#define memcpy (*_shl_memcpy)
#define ntohl (*_shl_ntohl)
#define ntohs (*_shl_ntohs)
#define perror (*_shl_perror)
#define printf (*_shl_printf)
#define random (*_shl_random)
#define recvfrom (*_shl_recvfrom)
#define sendto (*_shl_sendto)
#define select (*_shl_select)
#define setbuf (*_shl_setbuf)
#define setgid (*_shl_setgid)
#define setuid (*_shl_setuid)
#define setpgid (_shl_setpgid)
#define setpgrp (_shl_setpgrp)
#define setsockopt (*_shl_setsockopt)
/* #define sigaction (*_shl_sigaction) this cannot be done here because sigaction is structure as well */
#define signal (*_shl_signal)
#define sleep (*_shl_sleep)
#define socket (*_shl_socket)
#define sprintf (*_shl_sprintf)
#define srandom (*_shl_srandom)
#define strcat (*_shl_strcat) 
#define strcpy (*_shl_strcpy)
#define strcmp (*_shl_strcmp) 
#define strncpy (*_shl_strncpy) 
#define strlen (*_shl_strlen)
#define open (*_shl_open) 
#define read (*_shl_read)
#define unlink (*_shl_unlink) 
#define waitpid (*_shl_waitpid)

#include <oscalls.h>

/* declare functions as extern not already declared elsewhere */
extern int bzero(), bcopy();
extern int perror();
extern int setbuf(), fclose();
extern int fscanf();

/* declarations which should be in unistd.h. some of them are in oscalls.h
   but we cannot use it because of conflicts (e.g. wait()) */

extern int getpid();
extern int getuid();
extern int getgid();
extern int gethostname();
extern int getsockname();
extern int gettimeofday();
extern int fork();
extern unsigned int sleep();
extern int setpgrp();
extern int setpgid();
extern int setuid();
extern int setgid();


#endif
