/*
 * Copyright (C) 1986 by Inge B. Kristiansen.
 * All rights reserved.
 */

#include "sysconfig.h"
#include "queue.h"


/*
 * Append an element to the tail of the queue.
 */

void
q_atail(register struct nc_queue *q, register struct queue_item *x)
{
	x->link = 0;
	if (q->tail == 0)
		q->head = q->tail = x;
	else {
		q->tail->link = x;
		q->tail = x;
	}
}
