/*
 * Copyright (C) 1986 by Inge B. Kristiansen.
 * All rights reserved.
 */

#include "sysconfig.h"
#include "queue.h"


/*
 * Delete a specified element from a queue.
 */

void
q_delete(register struct nc_queue *q, register struct queue_item *x)
{
	register struct queue_item *prev, *cur;

	for (prev = cur = q->head; cur != 0; prev = cur, cur = cur->link)
		if (cur == x) {
			if (cur == q->head)
				q_rhead(q);
			else if ((prev->link = cur->link) == 0) {
				q->tail = prev;
			} else
				x->link = 0;
			return;
		}
}
