/*
 * Copyright (C) 1986 by Inge B. Kristiansen.
 * All rights reserved.
 */

#include "sysconfig.h"
#include "queue.h"


/*
 * Remove an element from the tail of a queue.
 */

struct queue_item *
q_rtail(register struct nc_queue *q)
{
	register struct queue_item *x;
	register struct queue_item *item;

	x = q->tail;
	if (x != 0) {
		if (q->head != x) {
			for( item = q->head; item->link->link != 0; item = item->link );
			item->link = 0;
			q->tail = item;
		} else {
			q->tail = q->head = 0;
		}
	}
	return (x);
}
