/*
 * configuration definitions for the ip test
 */
#define MAXDSIZE 40960
#define DATSIZE 100
#define BLKSIZE 1024

#define PRINTE perror
#define PRINTER fprintf(stderr, "errno: %d errtype: %d %s, line %d\n", errno, errtype, errstring, errline);perror

#define RQ_TRANS 10
#define RQ_SRC  11

#define P_UDP           1
#define P_UDP_CN        2
#define P_TCP           3
#define P_RX            4

struct tst_request {
	long dsize;
	short rtype;
	unsigned short bsize;
	unsigned short repetition;
	short nforks;
};

/* general definitions */

#define MAX(x,y) ((x) > (y) ? (x) : (y))
#define MIN(x,y) ((x) < (y) ? (x) : (y))

#if defined(OS9)
#if !defined(NULL)
#define NULL (char *)0
#endif
struct timeval {
	long	tv_sec;		/* seconds */
	long	tv_usec;	/* and microseconds */
};
#endif

