/*
 *	svt_help.c
 */

#include <stdio.h>

#include "svt.h"     




void help()
{
printf( "This program tests transmission of basic NC/RPC types:\n\
 \t char               (unsigned char, 8 bit)\n\
 \t boolean            (unsigned char, 8 bit)\n\
 \t short integer      (short int, 16 bit)\n\
 \t long integer       (long, 32 bit)\n\
 \t short cardial      (unsigned short, 16 bit)\n");
printf("\
 \t long cardinal      (unsigned long, 32 bit)\n\
 \t short unspecified  (unsigned short, 16 bit)\n\
 \t long unspecified   (unsigned long, 32 bit)\n\
 \t float              (float, IEEE-754, 32 bit)\n\
 \t long float         (double, IEEE-754, 64 bit)\n" );
}


void	not_yet()
{
	printf("This feature is not implemented yet.\n");
	exit (0);
}

void	intern_fault()
{
  	printf("Internal logical problem. Contact your supporter.\n");
	exit (1);
}                 
