/* %W% %E% */
/*
 * Origin       Eric Cooper UCB
 *
 * Modified 1986 by Inge B. Kristiansen.
 */

#include "tm_include.h"
#include "stdio.h"

/*
 * Print the state of one timer.
 */

int
tm_printatimer(register struct timer *t)
{
	fputs("\tinterval: ", stderr);
	tm_printtimeval(&t->interval);
	fputs(" deadline: ", stderr);
	tm_printtimeval(&t->deadline);
	putc('\n', stderr);
}


/*
 * Print the state of all the timers in the timer queue.
 */

int
tm_printtimers(char *message)
{
	struct timeval now;

	tm_printelapsed();
	tm_now(&now);
	if (message)
		fputs(message, stderr);
	fputs(" (time now: ", stderr);
	tm_printtimeval(&now);
	fputs(")\n", stderr);
	q_walk(&tm_queue, tm_printatimer, (queue_args)0);
}
