/* %W% %E% */
/*
 * Origin       Eric Cooper UCB
 *
 * 13/02/89 (raw) added printout statement for os9
 * 31/05/90 (raw) use u-sec information for OS-9
 * 26.06.90 kk  Two types of time interface are used: BSDtime (gettimeofday())
 *              and SYSVtime (time()).
 */
#include "tm_include.h"
#include "stdio.h"

/*
 * Print a time value in a readable form.
 */

int
tm_printtimeval(register struct timeval *tv)
{
#if defined(BSDtime)
	fprintf(stderr, "%2d.%02d ", tv->tv_sec, tv->tv_usec/10000);
#else
	fprintf(stderr, "%2ld.%02ld ", tv->tv_sec, tv->tv_usec);
#endif
}
