/* %W% %E% */
/*
 * Origin       Eric Cooper UCB
 *
 * Modified 1986 by Inge B. Kristiansen.
 */

#include "tm_include.h"

/*
 * Stop a timer. The interval itself is taken from the timer structure.
 * Note that interrupts must be masked when this is called.
 */

void
tm_stop(register struct timer *t)
{
	q_delete(&tm_queue, (struct queue_item *)t);
	TRACE(tm_tracetimers && tm_printtimers("tm_stop"));
}
