#include "sysconfig.h"
#include "errtype.h"
#include "ncc.h"
#include "nc.h"



int 
nc_abort_call(int service_entry_id)
{
	nct_cservice *cd;
        protocol *p;

        /* Get a pointer to the connection descriptor.                  */
        if( (service_entry_id < 0) || ((cd = nc_sgetptr( service_entry_id )) ==
0) ) {
                RETURNERR( ENCNOSERVICE, ETNCRT, "nc_sgetptr()" );
        }
        p = cd->ncc_protocol;
        if (p == NC_P_RX) {
		rx_abort(&(cd->ncc_cd));
	} 
}
