/*
 * Copyright (C) 1986 by Inge B. Kristiansen.
 * All rights reserved.
 */

#include "sysconfig.h"
#include "queue.h"


/*
 * Find an element conforming to a function in a queue.
 */

/* VARARGS2 */
struct queue_item *
q_find(register struct nc_queue *q, register int (*fn) (/* ??? */), queue_args args)
{
	register struct queue_item *x;

	for (x = q->head; x != 0; x = x->link)
		if ((*fn)(x, &args))
			return (x);
	return (0);
}
