/*
 * Copyright (C) 1986 by Inge B. Kristiansen.
 * All rights reserved.
 */

#include "sysconfig.h"
#include "queue.h"


/*
 * Check if an element is present in a queue.
 */

int
q_onqueue(register struct nc_queue *q, register struct queue_item *x)
{
	register struct queue_item *p;

	for (p = q->head; p != 0; p = p->link)
		if (p == x)
			return (1);
	return (0);
}
