/*
 * Copyright (C) 1986 by Inge B. Kristiansen.
 * All rights reserved.
 */

#include "sysconfig.h"
#include "queue.h"


/*
 * Remove an element from the head of a queue.
 */

struct queue_item *
q_rhead(register struct nc_queue *q)
{
	register struct queue_item *x;

	x = q->head;
	if (x != 0) {
		if ((q->head = x->link) == 0)
			q->tail = 0;
		else
			x->link = 0;
	}
	return (x);
}
