/*
 * 04.10.90     Written by Kris Kostro
 */
 
 /*
  * 08.07.1992  C Scafuri: modification of include section with conditional
  *                        part for OS9 cross development
  * LP - 02.06.2000 - fixed in.h inclusion
  */
 
 
 #include "sysconfig.h"
 #if defined(OS9)
 #include <types.h>
 #include <INET/in.h>
 #else
 #include <sys/types.h>
 #include <netinet/in.h>
 #endif
 
 #include "errtype.h"
 
 #include "ncc.h"
 #include "nc.h"
 
 
 /* this call sets the rx address from cd in the _ncr_import service descriptor */
 
 long int
 ncr_link(cd)
 	struct nct_cservice *cd;
 {
 	struct nct_cservice *ncd;
 	extern int _ncr_import;
 
 	/* Get a pointer to the connection descriptor.                  */
 	if( (ncd = nc_sgetptr( _ncr_import )) == 0 ) {
 		RETURNERR(ENCNOSERVICE, ETNCRT, "no such service")
 	}
 
 	ncd->ncc_port = ntohs(ncd->ncc_cd.port = cd->ncc_cd.port);
 	ncd->ncc_cd.host = cd->ncc_cd.host;
 	/* inherit the timeout */
 	ncd->ncc_cd.timeout = cd->ncc_cd.timeout;
 }
 
