#ifndef _OS9_SELECT_INCLUDED
#define _OS9_SELECT_INCLUDED

#include <errno.h>

#ifndef _STRUCT_TIMEVAL
#define _STRUCT_TIMEVAL

struct timeval {
   unsigned long tv_sec;	 /* time in seconds */
   long tv_usec;		 /* smallest time unit 1/CLOCKS_PER_SEC */
};
# endif /* _STRUCT_TIMEVAL */

/* Structure used to represent timezones for gettimeofday()
 * for compatibilty only, will be left empty or unchanged! */
 
struct timezone {
   int   tz_minuteswest;  /* minutes west of Greenwich */
   int tz_dsttime;        /* type of dst correction */
};

#define FD_SETSIZE 32
#define EINTR E_SIGNAL

int select(int fds,int *rdp, int *wrp, int *erp,struct  timeval *timeout);


#endif
