#include <stdio.h>
#include <ncc.h>

int sleeptime;

main( argc, argv )
	int argc;
	char **argv;
{
	int sid, status;

	if (argc > 4) {
		fprintf(stderr, "Usage: %s [sleeptime [nc traceflags rx traceflags]]\n", argv[0]);
		exit(1);
	}

	if (argc >= 2)
		sleeptime = (atoi(argv[1]));
	else
		sleeptime = 0;

	if (argc >= 3)
		nc_trace(argv[2]);
	if (argc >= 4)
		rx_trace(argv[3]);

	if( (sid = export_nh()) < 0 ) {
		nc_perror("export_nh()");
		exit( 1 );
	}

	for (;;) {
		nc_serverloop(0xffffffL, NC_P_FIRST, NC_EX_TIMEOUT, 1);
	}
}


