/*
 * configuration definitions for the ip test
 */

#define PRINTE perror
#define PRINTERR fprintf(stderr, "errno: %d errtype: %d %s, line %d\n", errno, errtype, errstring, errline);perror

#if defined (OS9)
#define NO_FD_SET
#define SYSVtime
#define RX_PROTO
#endif


#if defined(AIX)
#define NO_FD_SET
#define SYSVtime
#define FORK2times
#endif

#if defined(ULTRIX)
#define NO_FD_SET
#endif

#if defined(NDUNIX)
#define NO_FD_SET
#endif

#if defined(AEGIS)
#define NO_FD_SET
#endif

#define TST_PORT 1860
#define RQ_TRANS 10
#define RQ_SRC  11

#define P_UDP           1
#define P_UDP_CN        2
#define P_TCP           3
#define P_RX            4

struct tst_request {
	long dsize;
	short rtype;
	unsigned short bsize;
	unsigned short repetition;
	short nforks;
};

/* general definitions */

#define MAX(x,y) ((x) > (y) ? (x) : (y))
#define MIN(x,y) ((x) < (y) ? (x) : (y))
