/*
 *	svt.h
 */
    

#define SHORT_PER_FLOAT		(sizeof(float) + sizeof(short) - 1) / sizeof(short)
#define SHORT_PER_DOUBLE	(sizeof(double) + sizeof(short) - 1) / sizeof(short)

typedef union {
	float			f;
	unsigned char	c[sizeof(float)];
	unsigned short	s[SHORT_PER_FLOAT];
} float_U;

typedef union {
	double			d;
	unsigned char	c[sizeof(double)];
	unsigned short	s[SHORT_PER_DOUBLE];
} double_U;




