/* %W% %E% */
/*
 * Origin       Eric Cooper UCB
 *
 * Modified 1986 by Inge B. Kristiansen.
 */

#include "tm_include.h"

/*
 * Check if a timer is started, that is if it is on the time queue.
 * Note that interrupts must be masked when this is called.
 */

int
tm_started(register struct timer *t)
{
	/* Just find out if the timer is on the time queue.             */
	return( q_onqueue( &tm_queue, (struct queue_item *)t ) );
}
