/* activate rx trace in the kernel */
#include        "sysconfig.h"
#include        <netpc/netadm.h>
#include        "queue.h"
#include        "sys/types.h"
#include        "netinet/in.h"
#if (defined(LAI_TCP) || defined (AIX))
#include <sys/select.h>
#else
#include <sys/time.h>
#endif
#include        "rx.h"
#include        "rx_prot.h"
 

main(argc, argv) 
int	argc; 
char	**argv; 
{ 
	int fd;
	char trace[10];

	if (argc > 2) {
		printf("Usage: %s [traceflags]\n", argv[0]);
		exit(1);
	}

	if ((fd = open(NETADM, 0)) < 0) 
	{
		perror("can't open net administration");
		exit(1);
	}

	/* Set trace */
	if (argc == 2)
		strncpy(trace, argv[1], 9);
	else
		strcpy(trace, "");
	if (ioctl(fd, RX_IOC_DBG, trace) < 0)
	{
		perror("ioctl call of RX_IOC_DBG failed");
		exit(1);
	}
}
